// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.14.0
// source: pkg/document/document.proto

package document

import (
	googlebook "gitlab.com/lemonster.izoone/protobuf/pkg/googlebook"
	springer "gitlab.com/lemonster.izoone/protobuf/pkg/springer"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	anypb "google.golang.org/protobuf/types/known/anypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Document struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileInfo            *FileInfo `protobuf:"bytes,1,opt,name=fileInfo,proto3" json:"fileInfo,omitempty"`
	FilePathTextVersion string    `protobuf:"bytes,2,opt,name=filePathTextVersion,proto3" json:"filePathTextVersion,omitempty"`
	Isbn                [][]byte  `protobuf:"bytes,3,rep,name=isbn,proto3" json:"isbn,omitempty"`
	Meta                *Meta     `protobuf:"bytes,4,opt,name=meta,proto3" json:"meta,omitempty"`
}

func (x *Document) Reset() {
	*x = Document{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_document_document_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Document) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Document) ProtoMessage() {}

func (x *Document) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_document_document_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Document.ProtoReflect.Descriptor instead.
func (*Document) Descriptor() ([]byte, []int) {
	return file_pkg_document_document_proto_rawDescGZIP(), []int{0}
}

func (x *Document) GetFileInfo() *FileInfo {
	if x != nil {
		return x.FileInfo
	}
	return nil
}

func (x *Document) GetFilePathTextVersion() string {
	if x != nil {
		return x.FilePathTextVersion
	}
	return ""
}

func (x *Document) GetIsbn() [][]byte {
	if x != nil {
		return x.Isbn
	}
	return nil
}

func (x *Document) GetMeta() *Meta {
	if x != nil {
		return x.Meta
	}
	return nil
}

type FileInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name       []byte `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Size       int64  `protobuf:"varint,2,opt,name=size,proto3" json:"size,omitempty"`
	ModTimeUTC []byte `protobuf:"bytes,3,opt,name=modTimeUTC,proto3" json:"modTimeUTC,omitempty"`
}

func (x *FileInfo) Reset() {
	*x = FileInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_document_document_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileInfo) ProtoMessage() {}

func (x *FileInfo) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_document_document_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileInfo.ProtoReflect.Descriptor instead.
func (*FileInfo) Descriptor() ([]byte, []int) {
	return file_pkg_document_document_proto_rawDescGZIP(), []int{1}
}

func (x *FileInfo) GetName() []byte {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *FileInfo) GetSize() int64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *FileInfo) GetModTimeUTC() []byte {
	if x != nil {
		return x.ModTimeUTC
	}
	return nil
}

type Meta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Api []*Api `protobuf:"bytes,1,rep,name=Api,proto3" json:"Api,omitempty"`
}

func (x *Meta) Reset() {
	*x = Meta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_document_document_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Meta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Meta) ProtoMessage() {}

func (x *Meta) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_document_document_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Meta.ProtoReflect.Descriptor instead.
func (*Meta) Descriptor() ([]byte, []int) {
	return file_pkg_document_document_proto_rawDescGZIP(), []int{2}
}

func (x *Meta) GetApi() []*Api {
	if x != nil {
		return x.Api
	}
	return nil
}

type Api struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to OneOfApi:
	//	*Api_AnyBookApi
	//	*Api_SpringerBookApi
	//	*Api_GoogleBookApi
	OneOfApi isApi_OneOfApi `protobuf_oneof:"one_of_api"`
}

func (x *Api) Reset() {
	*x = Api{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_document_document_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Api) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Api) ProtoMessage() {}

func (x *Api) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_document_document_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Api.ProtoReflect.Descriptor instead.
func (*Api) Descriptor() ([]byte, []int) {
	return file_pkg_document_document_proto_rawDescGZIP(), []int{3}
}

func (m *Api) GetOneOfApi() isApi_OneOfApi {
	if m != nil {
		return m.OneOfApi
	}
	return nil
}

func (x *Api) GetAnyBookApi() *anypb.Any {
	if x, ok := x.GetOneOfApi().(*Api_AnyBookApi); ok {
		return x.AnyBookApi
	}
	return nil
}

func (x *Api) GetSpringerBookApi() *springer.Api {
	if x, ok := x.GetOneOfApi().(*Api_SpringerBookApi); ok {
		return x.SpringerBookApi
	}
	return nil
}

func (x *Api) GetGoogleBookApi() *googlebook.Api {
	if x, ok := x.GetOneOfApi().(*Api_GoogleBookApi); ok {
		return x.GoogleBookApi
	}
	return nil
}

type isApi_OneOfApi interface {
	isApi_OneOfApi()
}

type Api_AnyBookApi struct {
	AnyBookApi *anypb.Any `protobuf:"bytes,1,opt,name=anyBookApi,proto3,oneof"`
}

type Api_SpringerBookApi struct {
	SpringerBookApi *springer.Api `protobuf:"bytes,2,opt,name=springerBookApi,proto3,oneof"`
}

type Api_GoogleBookApi struct {
	GoogleBookApi *googlebook.Api `protobuf:"bytes,3,opt,name=googleBookApi,proto3,oneof"`
}

func (*Api_AnyBookApi) isApi_OneOfApi() {}

func (*Api_SpringerBookApi) isApi_OneOfApi() {}

func (*Api_GoogleBookApi) isApi_OneOfApi() {}

var File_pkg_document_document_proto protoreflect.FileDescriptor

var file_pkg_document_document_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2f, 0x64,
	0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x64,
	0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x1d, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2f, 0x62, 0x6f, 0x6f, 0x6b, 0x5f, 0x61, 0x70, 0x69,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x73, 0x70, 0x72, 0x69,
	0x6e, 0x67, 0x65, 0x72, 0x2f, 0x62, 0x6f, 0x6f, 0x6b, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa4,
	0x01, 0x0a, 0x08, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x2e, 0x0a, 0x08, 0x66,
	0x69, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e,
	0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x30, 0x0a, 0x13, 0x66,
	0x69, 0x6c, 0x65, 0x50, 0x61, 0x74, 0x68, 0x54, 0x65, 0x78, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x66, 0x69, 0x6c, 0x65, 0x50, 0x61,
	0x74, 0x68, 0x54, 0x65, 0x78, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x12, 0x0a,
	0x04, 0x69, 0x73, 0x62, 0x6e, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0c, 0x52, 0x04, 0x69, 0x73, 0x62,
	0x6e, 0x12, 0x22, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x0e, 0x2e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x52,
	0x04, 0x6d, 0x65, 0x74, 0x61, 0x22, 0x52, 0x0a, 0x08, 0x46, 0x69, 0x6c, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x6d, 0x6f, 0x64,
	0x54, 0x69, 0x6d, 0x65, 0x55, 0x54, 0x43, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0a, 0x6d,
	0x6f, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x55, 0x54, 0x43, 0x22, 0x27, 0x0a, 0x04, 0x4d, 0x65, 0x74,
	0x61, 0x12, 0x1f, 0x0a, 0x03, 0x41, 0x70, 0x69, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0d,
	0x2e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x70, 0x69, 0x52, 0x03, 0x41,
	0x70, 0x69, 0x22, 0xbf, 0x01, 0x0a, 0x03, 0x41, 0x70, 0x69, 0x12, 0x36, 0x0a, 0x0a, 0x61, 0x6e,
	0x79, 0x42, 0x6f, 0x6f, 0x6b, 0x41, 0x70, 0x69, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x41, 0x6e, 0x79, 0x48, 0x00, 0x52, 0x0a, 0x61, 0x6e, 0x79, 0x42, 0x6f, 0x6f, 0x6b, 0x41,
	0x70, 0x69, 0x12, 0x39, 0x0a, 0x0f, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x42, 0x6f,
	0x6f, 0x6b, 0x41, 0x70, 0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x73, 0x70,
	0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x2e, 0x41, 0x70, 0x69, 0x48, 0x00, 0x52, 0x0f, 0x73, 0x70,
	0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x42, 0x6f, 0x6f, 0x6b, 0x41, 0x70, 0x69, 0x12, 0x37, 0x0a,
	0x0d, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x42, 0x6f, 0x6f, 0x6b, 0x41, 0x70, 0x69, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f,
	0x6b, 0x2e, 0x41, 0x70, 0x69, 0x48, 0x00, 0x52, 0x0d, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x42,
	0x6f, 0x6f, 0x6b, 0x41, 0x70, 0x69, 0x42, 0x0c, 0x0a, 0x0a, 0x6f, 0x6e, 0x65, 0x5f, 0x6f, 0x66,
	0x5f, 0x61, 0x70, 0x69, 0x42, 0x33, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x6c, 0x65, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x69, 0x7a, 0x6f,
	0x6f, 0x6e, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x70, 0x6b, 0x67,
	0x2f, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_pkg_document_document_proto_rawDescOnce sync.Once
	file_pkg_document_document_proto_rawDescData = file_pkg_document_document_proto_rawDesc
)

func file_pkg_document_document_proto_rawDescGZIP() []byte {
	file_pkg_document_document_proto_rawDescOnce.Do(func() {
		file_pkg_document_document_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_document_document_proto_rawDescData)
	})
	return file_pkg_document_document_proto_rawDescData
}

var file_pkg_document_document_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_pkg_document_document_proto_goTypes = []interface{}{
	(*Document)(nil),       // 0: document.Document
	(*FileInfo)(nil),       // 1: document.FileInfo
	(*Meta)(nil),           // 2: document.Meta
	(*Api)(nil),            // 3: document.Api
	(*anypb.Any)(nil),      // 4: google.protobuf.Any
	(*springer.Api)(nil),   // 5: springer.Api
	(*googlebook.Api)(nil), // 6: googlebook.Api
}
var file_pkg_document_document_proto_depIdxs = []int32{
	1, // 0: document.Document.fileInfo:type_name -> document.FileInfo
	2, // 1: document.Document.meta:type_name -> document.Meta
	3, // 2: document.Meta.Api:type_name -> document.Api
	4, // 3: document.Api.anyBookApi:type_name -> google.protobuf.Any
	5, // 4: document.Api.springerBookApi:type_name -> springer.Api
	6, // 5: document.Api.googleBookApi:type_name -> googlebook.Api
	6, // [6:6] is the sub-list for method output_type
	6, // [6:6] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_pkg_document_document_proto_init() }
func file_pkg_document_document_proto_init() {
	if File_pkg_document_document_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_document_document_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Document); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_document_document_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_document_document_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Meta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_document_document_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Api); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_pkg_document_document_proto_msgTypes[3].OneofWrappers = []interface{}{
		(*Api_AnyBookApi)(nil),
		(*Api_SpringerBookApi)(nil),
		(*Api_GoogleBookApi)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_document_document_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_document_document_proto_goTypes,
		DependencyIndexes: file_pkg_document_document_proto_depIdxs,
		MessageInfos:      file_pkg_document_document_proto_msgTypes,
	}.Build()
	File_pkg_document_document_proto = out.File
	file_pkg_document_document_proto_rawDesc = nil
	file_pkg_document_document_proto_goTypes = nil
	file_pkg_document_document_proto_depIdxs = nil
}
